m.Parking.TypePlace(3)

NAME
m.Parking.TypePlace - Representation d'un typePlace de DreamPark.

SYNOPSIS

  Public Member Functions
def __init__
Constructeur de TypePlace.
def id (self)
propriete : id du Typeplace
def longueur (self)
propriete : longueur du Typeplace
def hauteur (self)
propriete : hauteur du Typeplace
def nombre (self)
propriete : nombre du Typeplace
def prix (self)
propriete : prix du Typeplace
def niveau (self)
propriete : niveau du Typeplace
def __str__ (self)
Representation du TypePlace en chaine.

Detailed Description

Representation d'un typePlace de DreamPark.

Constructor & Destructor Documentation

  def m.Parking.TypePlace.__init__ ( self, id, longueur = None, hauteur = None, nombre = None, prix = None, niveau = None)

Constructeur de TypePlace.

Parameters:
    id Si None : creation du TypePlace dans la bd Sinon : tentative de récupération du TypePlace avec cet id dans la bd
    longueur Longueur de la place en cm
    hauteur Hauteur de la place en cm
    nombre Nombre de place de ce type
    prix Le prix pur ce type de place
    niveau Le niveau ou se trouve les places

Author

Generated automatically by Doxygen for Dream Park from the source code.